Bug 730815 - Review Request: pamtester - Utility to test Pluggable Authentication Modules (PAM)
Summary: Review Request: pamtester - Utility to test Pluggable Authentication Modules ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael S.
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 20:29 UTC by Robert Scheck
Modified: 2012-04-12 03:09 UTC (History)
3 users (show)

Fixed In Version: pamtester-0.1.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-08 03:29:27 UTC
misc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2011-08-15 20:29:59 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/pamtester.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/pamtester-0.1.2-1.src.rpm
Description:
Pamtester is a tiny program to test the Pluggable Authentication Modules
(PAM) facility, which is a de facto standard of unified authentication
management mechanism in many Unixes and similar OSes including Solaris,
HP-UX, *BSD, MacOSX and Linux. While specifically designed to help PAM
module authors to test their modules, that might also be handy for system
administrators interested in building a centralised authentication system
using common standards such as NIS, SASL and LDAP.

Comment 1 Nathan Owe 2011-08-19 02:39:17 UTC
I am wanting to make sure, you know the upstream source of this program hasn't been updated since 2005 nor in CVS? You are probably aware of this, just wanting to point out, just in case you didn't see it.

Comment 2 Robert Scheck 2011-08-22 23:01:47 UTC
Yes, I know this. Nevertheless it's still a helpful tool for PAM related tests.

Comment 3 Michael S. 2012-03-04 14:49:04 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint pamtester-debuginfo-0.1.2-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint pamtester-0.1.2-1.fc18.i686.rpm

pamtester.i686: W: spelling-error %description -l en_US de -> DE, ed, d
pamtester.i686: W: spelling-error %description -l en_US facto -> fact, factor, facts
pamtester.i686: W: spelling-error %description -l en_US centralised -> centralized, centralist, centralism
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint pamtester-0.1.2-1.fc18.src.rpm

pamtester.src: W: spelling-error %description -l en_US de -> DE, ed, d
pamtester.src: W: spelling-error %description -l en_US facto -> fact, factor, facts
pamtester.src: W: spelling-error %description -l en_US centralised -> centralized, centralist, centralism
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/730815/pamtester-0.1.2.tar.gz :
  MD5SUM this package     : f441a6617cbc640ea02f3e22058c0461
  MD5SUM upstream package : f441a6617cbc640ea02f3e22058c0461

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[!]: MUST Rpmlint output is silent.

rpmlint pamtester-debuginfo-0.1.2-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint pamtester-0.1.2-1.fc18.i686.rpm

pamtester.i686: W: spelling-error %description -l en_US de -> DE, ed, d
pamtester.i686: W: spelling-error %description -l en_US facto -> fact, factor, facts
pamtester.i686: W: spelling-error %description -l en_US centralised -> centralized, centralist, centralism
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint pamtester-0.1.2-1.fc18.src.rpm

pamtester.src: W: spelling-error %description -l en_US de -> DE, ed, d
pamtester.src: W: spelling-error %description -l en_US facto -> fact, factor, facts
pamtester.src: W: spelling-error %description -l en_US centralised -> centralized, centralist, centralism
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



So, to summarize :
- remove BuildRoot
- remove %defattr, unless you want to push it to EPEL 5

Comment 4 Robert Scheck 2012-03-04 17:58:24 UTC
Package will definately get imported into EPEL 5 as well.

Comment 5 Michael S. 2012-03-04 19:08:21 UTC
Ok, so the package is good for me to be sent to the package collection.

Comment 6 Michael S. 2012-03-20 20:34:11 UTC
Robert, you need to do the request for the git : 
https://fedoraproject.org/wiki/Package_SCM_admin_requests

Comment 7 Robert Scheck 2012-03-20 22:50:54 UTC
Michael, thank you very much for the review and for pinging me :)


New Package SCM Request
=======================
Package Name: pamtester
Short Description: Utility to test Pluggable Authentication Modules (PAM)
Owners: robert
Branches: el5 el6 f15 f16 f17
InitialCC:

Comment 8 Gwyn Ciesla 2012-03-21 12:40:49 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-03-21 17:39:19 UTC
pamtester-0.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pamtester-0.1.2-1.fc16

Comment 10 Fedora Update System 2012-03-21 17:39:22 UTC
pamtester-0.1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pamtester-0.1.2-1.fc15

Comment 11 Fedora Update System 2012-03-21 17:39:23 UTC
pamtester-0.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pamtester-0.1.2-1.fc17

Comment 12 Fedora Update System 2012-03-21 17:39:25 UTC
pamtester-0.1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pamtester-0.1.2-1.el6

Comment 13 Fedora Update System 2012-03-21 17:39:50 UTC
pamtester-0.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pamtester-0.1.2-1.el5

Comment 14 Fedora Update System 2012-03-22 01:57:45 UTC
pamtester-0.1.2-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 15 Fedora Update System 2012-04-08 03:29:27 UTC
pamtester-0.1.2-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Fedora Update System 2012-04-08 03:31:03 UTC
pamtester-0.1.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 17 Fedora Update System 2012-04-08 17:02:31 UTC
pamtester-0.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2012-04-08 17:04:07 UTC
pamtester-0.1.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 19 Fedora Update System 2012-04-12 03:09:16 UTC
pamtester-0.1.2-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.